RCPT500(8C)

NAME
rcpt500 - mail to X.500 gateway program

SYNOPSIS
/usr/local/globus/libexec/rcpt500 [-l] [-h ldaphost] [-p ldapport] [-b searchbase] [-a] [-U] [-z sizelimit] [-u dapuser] [-f filterfile] [-t templatefile] [-c rdncount]

DESCRIPTION
rcpt500 is a mail-query server that answers X.500 white pages queries. It is designed to be run out of your mail system alias file (or the equivalent). rcpt500 accepts the entire contents (including headers) of an RFC 822 message on standard input. The message is parsed, and a search or help command found in the Subject: header of message body is recognized and a reply is sent to the sender.

If you are using sendmail(8), you could add the following line to the aliases(5) file (/etc/aliases) to have rcpt500 invoked whenever mail is sent to the address namelookup on your host:
    namelookup:    "|/usr/local/globus/libexec/rcpt500 -l"

OPTIONS

-l  Enable logging of requests to the LOG_DAEMON facility.

-h ldaphost
    Specify an alternate host on which the ldap server is running.

-p ldapport
    Specify and alternate TCP port where the ldap server is running.

-b searchbase
    Specify an alternate base for searches. searchbase should be a string-represented LDAP Distinguished Name.

-a  Turn off dereferencing of aliases for the LDAP search.

-U  Use Connectionless LDAP (over UDP). This option is only available when rcpt500 is compiled with -DCLDAP.

-z sizelimit
    Limit the maximum number of entries returned to sizelimit entries.

-t templatefile
    Specify an alternate template configuration file for use with the ldap_init_templates(3) facility, used by rcpt500.

-c rdncount
    Specify the number of DN components to show for the names and DN attributes within entries matching the search.

NOTES
The default values for most of the things you can specify with options are configured at compile time in the include/ldapconfig.h.edit include file. Also included there are the pathname of the help file, the name of the command used to send replies, etc. You should configure ldapconfig.h.edit for your site.

FILES
/usr/local/globus/share/openldap/rcpt500.help
    help file

SEE ALSO
ldap(3), aliases(5), sendmail(8)

ACKNOWLEDGEMENTS
OpenLDAP is developed and maintained by The OpenLDAP Project (http://www.openldap.org/). OpenLDAP is derived from University of Michigan LDAP 3.3 Release.